libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
gad_raw Union Reference
3GPP TS 23.032 GAD: Universal Geographical Area Description.

GAD PDU in network-byte-order according to 3GPP TS 23.032 GAD: Universal Geographical Area Description. More...

`#include <gsm_23_032.h>`

## Data Fields
struct gad_raw_head | h
struct gad_raw_ell_point | ell_point
struct gad_raw_ell_point_unc_circle | ell_point_unc_circle
struct gad_raw_ell_point_unc_ellipse | ell_point_unc_ellipse
struct gad_raw_polygon | polygon
struct gad_raw_ell_point_alt | ell_point_alt
struct gad_raw_ell_point_alt_unc_ell | ell_point_alt_unc_ell
struct gad_raw_ell_arc | ell_arc
struct gad_raw_ha_ell_point_unc_ell | ha_ell_point_unc_ell
struct gad_raw_ha_ell_point_alt_unc_ell | ha_ell_point_alt_unc_ell

## Detailed Description

GAD PDU in network-byte-order according to 3GPP TS 23.032 GAD: Universal Geographical Area Description.

## Field Documentation

## ◆ ell_arc

struct gad_raw_ell_arc gad_raw::ell_arc

Referenced by osmo_gad_raw_len().

## ◆ ell_point

struct gad_raw_ell_point gad_raw::ell_point

Referenced by osmo_gad_raw_len().

## ◆ ell_point_alt

struct gad_raw_ell_point_alt gad_raw::ell_point_alt

Referenced by osmo_gad_raw_len().

## ◆ ell_point_alt_unc_ell

struct gad_raw_ell_point_alt_unc_ell gad_raw::ell_point_alt_unc_ell

Referenced by osmo_gad_raw_len().

## ◆ ell_point_unc_circle

struct gad_raw_ell_point_unc_circle gad_raw::ell_point_unc_circle

Referenced by osmo_gad_dec(), osmo_gad_enc(), and osmo_gad_raw_len().

## ◆ ell_point_unc_ellipse

struct gad_raw_ell_point_unc_ellipse gad_raw::ell_point_unc_ellipse

Referenced by osmo_gad_raw_len().

## ◆ h

struct gad_raw_head gad_raw::h

Referenced by osmo_gad_dec(), osmo_gad_raw_len(), and osmo_gad_raw_read().

## ◆ ha_ell_point_alt_unc_ell

struct gad_raw_ha_ell_point_alt_unc_ell gad_raw::ha_ell_point_alt_unc_ell

Referenced by osmo_gad_raw_len().

## ◆ ha_ell_point_unc_ell

struct gad_raw_ha_ell_point_unc_ell gad_raw::ha_ell_point_unc_ell

Referenced by osmo_gad_raw_len().

## ◆ polygon

struct gad_raw_polygon gad_raw::polygon

Referenced by osmo_gad_raw_len().

The documentation for this union was generated from the following file:

- include/osmocom/gsm/protocol/gsm_23_032.h